Subject: Re: bug#37835: Emacs head version cannot build

From: ccQ's Gmail <[email-masked]>
Date: Sun, 20 Oct 2019 15:04:53 -0400

Thanks Stephen, I run `cd lisp && make autoloads`, then my build script work fine now.

> On Oct 20, 2019, at 14:56, Stephen Berman <[email-masked]> wrote:
> 
> On Sun, 20 Oct 2019 13:51:41 -0400 ccQ's Gmail <[email-masked]> wrote:
> 
>> My OS: macOS Catalina 10.15
>> 
>> I git clone emacs HEAD source code from GitHub and `cd` in. 
>> 
>> My build steps:
>> 
>> 1. ./autogen.sh
>> 2. ./configure
>> 3. make
>> 
>> And it stop at 
>> 
>> ```
>> Loading /Users/ccQ/Downloads/emacs/lisp/loaddefs.el (source)...
>> Symbol’s value as variable is void: ctl-x-6-map
>> make[1]: *** [bootstrap-emacs.pdmp] Error 255
>> make: *** [src] Error 2
>> ```
>> 
>> Do I miss something? These build steps work fine several days ago.
> 
> I had this problem after a `git pull; make' and `cd lisp; make autoloads'
> fixed it for me (though AFAIK a fresh clone could not contain a stale
> loaddefs.el, so if that's what you did, maybe it's a different problem).
> 
> Steve Berman